Bug 1491188 - ethtool tx_dropped counter incorrect
Summary: ethtool tx_dropped counter incorrect
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ethtool
Version: 26
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-13 09:20 UTC by Ross Ilott
Modified: 2018-05-29 11:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:27:37 UTC
Type: Bug


Attachments (Terms of Use)

Description Ross Ilott 2017-09-13 09:20:55 UTC
Description of problem:
since upgrading to fedora 26, the tx_dropped counter as reported by ethtool is extremely high (higher than pythons sys.maxint, which I noticed as our metric collector can't handle values higher than that.

ifconfig reports a value of 0 for dropped:

eth0: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet <IP>  netmask 255.255.255.192  broadcast <broadcast>
        ether <MAC>  txqueuelen 1000  (Ethernet)
        RX packets 9445  bytes 3157060 (3.0 MiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 9715  bytes 2886494 (2.7 MiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0
        device interrupt 20  memory 0xef400000-ef420000  


Version-Release number of selected component (if applicable):
Fedora 26
Kernel 4.11.9-300.fc26.x86_64
ethtool 4.11-1 and 4.8
e1000e version 3.2.6-k, firmware 0.13-4

How reproducible:
Reset your interface counters, then check your tx_dropped counter

Steps to Reproduce:
1. ethtool -S eth0 | grep tx_dropped
2. ifdown eth0
2. modprobe -r e1000e
3. modprobe e1000e
4. ifup eth0
5. ethtool -S eth0 | grep tx_dropped

Actual results:

     tx_dropped: 18446621232006148224
     tx_dropped: 18446621232170529792


Expected results:
     tx_dropped: 18446621232006148224
     tx_dropped: 0


Additional info:
Not sure if it's ethtool or the e1000e driver that's at fault here, ifconfig seems to report the correct value which implies it's ethtool

Please feel free to smack me down if I'm interpreting any of this incorrectly!

Thanks in advance,
Ross

Comment 1 Ross Ilott 2017-09-15 10:57:41 UTC
It seems some other counters are also incorrect:

rx_over_errors: 18446744072336037492
tx_fifo_errors: 94360692725424
tx_heartbeat_errors: 18446744072658293152

Comment 2 Ross Ilott 2017-09-18 13:27:55 UTC
Upgrading my e1000e driver to 3.3.5.10-NAPI has fixed the problem

Comment 3 Robert Scheck 2017-11-04 00:10:32 UTC
Is this driver update part of the Linux kernel as shipped with Fedora?

Comment 4 Fedora End Of Life 2018-05-03 08:55:52 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2018-05-29 11:27:37 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.